------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2011 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Mime_Data_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Mime_Data_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Mime_Datas is

   procedure clear_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, clear_0_wrapper,
                     "__Qt4Ada_QMimeData_clear_0_wrapper");

   procedure colorData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Variants.Internals.QVariant);
   pragma Import (C, colorData_0_wrapper,
                     "__Qt4Ada_QMimeData_colorData_0_wrapper");

   procedure data_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Mime_Type : not null access constant Qt4.Strings.Internals.QString;
     Returns : not null access Qt4.Byte_Arrays.Internals.QByteArray);
   pragma Import (C, data_0_wrapper,
                     "__Qt4Ada_QMimeData_data_0_wrapper");

   function hasColor_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasColor_0_wrapper,
                     "__Qt4Ada_QMimeData_hasColor_0_wrapper");

   function hasHtml_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasHtml_0_wrapper,
                     "__Qt4Ada_QMimeData_hasHtml_0_wrapper");

   function hasImage_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasImage_0_wrapper,
                     "__Qt4Ada_QMimeData_hasImage_0_wrapper");

   function hasText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasText_0_wrapper,
                     "__Qt4Ada_QMimeData_hasText_0_wrapper");

   function hasUrls_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasUrls_0_wrapper,
                     "__Qt4Ada_QMimeData_hasUrls_0_wrapper");

   procedure html_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, html_0_wrapper,
                     "__Qt4Ada_QMimeData_html_0_wrapper");

   procedure imageData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Variants.Internals.QVariant);
   pragma Import (C, imageData_0_wrapper,
                     "__Qt4Ada_QMimeData_imageData_0_wrapper");

   procedure removeFormat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Mime_Type : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, removeFormat_0_wrapper,
                     "__Qt4Ada_QMimeData_removeFormat_0_wrapper");

   procedure setColorData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Color : not null access constant Qt4.Variants.Internals.QVariant);
   pragma Import (C, setColorData_0_wrapper,
                     "__Qt4Ada_QMimeData_setColorData_0_wrapper");

   procedure setData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Mime_Type : not null access constant Qt4.Strings.Internals.QString;
     Data : not null access constant Qt4.Byte_Arrays.Internals.QByteArray);
   pragma Import (C, setData_0_wrapper,
                     "__Qt4Ada_QMimeData_setData_0_wrapper");

   procedure setHtml_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Html : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setHtml_0_wrapper,
                     "__Qt4Ada_QMimeData_setHtml_0_wrapper");

   procedure setImageData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Image : not null access constant Qt4.Variants.Internals.QVariant);
   pragma Import (C, setImageData_0_wrapper,
                     "__Qt4Ada_QMimeData_setImageData_0_wrapper");

   procedure setText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setText_0_wrapper,
                     "__Qt4Ada_QMimeData_setText_0_wrapper");

   procedure text_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, text_0_wrapper,
                     "__Qt4Ada_QMimeData_text_0_wrapper");

   pragma Style_Checks ("N");

   -----------
   -- Clear --
   -----------

   procedure Clear
    (Self : not null access Q_Mime_Data'Class)
   is
   begin
      clear_0_wrapper
       (Self.QObject_View);
   end Clear;

   ----------------
   -- Color_Data --
   ----------------

   function Color_Data
    (Self : not null access constant Q_Mime_Data'Class)
       return Qt4.Variants.Q_Variant
   is
      Returns : Qt4.Variants.Q_Variant;

   begin
      colorData_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Returns));

      return Returns;
   end Color_Data;

   ----------
   -- Data --
   ----------

   function Data
    (Self : not null access constant Q_Mime_Data'Class;
     Mime_Type : Qt4.Strings.Q_String)
       return Qt4.Byte_Arrays.Q_Byte_Array
   is
      Returns : Qt4.Byte_Arrays.Q_Byte_Array;

   begin
      data_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Mime_Type),
        Qt4.Byte_Arrays.Internals.QByteArray_View (Returns));

      return Returns;
   end Data;

   ---------------
   -- Has_Color --
   ---------------

   function Has_Color
    (Self : not null access constant Q_Mime_Data'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasColor_0_wrapper
           (Self.QObject_View));
   end Has_Color;

   --------------
   -- Has_Html --
   --------------

   function Has_Html
    (Self : not null access constant Q_Mime_Data'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasHtml_0_wrapper
           (Self.QObject_View));
   end Has_Html;

   ---------------
   -- Has_Image --
   ---------------

   function Has_Image
    (Self : not null access constant Q_Mime_Data'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasImage_0_wrapper
           (Self.QObject_View));
   end Has_Image;

   --------------
   -- Has_Text --
   --------------

   function Has_Text
    (Self : not null access constant Q_Mime_Data'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasText_0_wrapper
           (Self.QObject_View));
   end Has_Text;

   --------------
   -- Has_Urls --
   --------------

   function Has_Urls
    (Self : not null access constant Q_Mime_Data'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasUrls_0_wrapper
           (Self.QObject_View));
   end Has_Urls;

   ----------
   -- Html --
   ----------

   function Html
    (Self : not null access constant Q_Mime_Data'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      html_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Html;

   ----------------
   -- Image_Data --
   ----------------

   function Image_Data
    (Self : not null access constant Q_Mime_Data'Class)
       return Qt4.Variants.Q_Variant
   is
      Returns : Qt4.Variants.Q_Variant;

   begin
      imageData_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Returns));

      return Returns;
   end Image_Data;

   -------------------
   -- Remove_Format --
   -------------------

   procedure Remove_Format
    (Self : not null access Q_Mime_Data'Class;
     Mime_Type : Qt4.Strings.Q_String)
   is
   begin
      removeFormat_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Mime_Type));
   end Remove_Format;

   --------------------
   -- Set_Color_Data --
   --------------------

   procedure Set_Color_Data
    (Self : not null access Q_Mime_Data'Class;
     Color : Qt4.Variants.Q_Variant)
   is
   begin
      setColorData_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Color));
   end Set_Color_Data;

   --------------
   -- Set_Data --
   --------------

   procedure Set_Data
    (Self : not null access Q_Mime_Data'Class;
     Mime_Type : Qt4.Strings.Q_String;
     Data : Qt4.Byte_Arrays.Q_Byte_Array)
   is
   begin
      setData_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Mime_Type),
        Qt4.Byte_Arrays.Internals.QByteArray_View (Data));
   end Set_Data;

   --------------
   -- Set_Html --
   --------------

   procedure Set_Html
    (Self : not null access Q_Mime_Data'Class;
     Html : Qt4.Strings.Q_String)
   is
   begin
      setHtml_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Html));
   end Set_Html;

   --------------------
   -- Set_Image_Data --
   --------------------

   procedure Set_Image_Data
    (Self : not null access Q_Mime_Data'Class;
     Image : Qt4.Variants.Q_Variant)
   is
   begin
      setImageData_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Image));
   end Set_Image_Data;

   --------------
   -- Set_Text --
   --------------

   procedure Set_Text
    (Self : not null access Q_Mime_Data'Class;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Text;

   ----------
   -- Text --
   ----------

   function Text
    (Self : not null access constant Q_Mime_Data'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      text_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Text;

end Qt4.Mime_Datas;
